GHSA-vh2g-6c4x-5hmp

Suggest an improvement
Source
https://github.com/advisories/GHSA-vh2g-6c4x-5hmp
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/07/GHSA-vh2g-6c4x-5hmp/GHSA-vh2g-6c4x-5hmp.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-vh2g-6c4x-5hmp
Aliases
Published
2023-07-25T13:54:13Z
Modified
2023-11-08T04:11:56.917782Z
Severity
  • 10.0 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H CVSS Calculator
Summary
Path traversal and code execution via prototype vulnerability
Details

Impact

Due to the use of the object destructuring assignment syntax in the user export code path, combined with a path traversal vulnerability, a specially crafted payload could invoke the user export logic to arbitrarily execute javascript files on the local disk.

Patches

Patched in v2.8.7

Workarounds

Site maintainers can cherry pick ec58700f6dff8e5b4af1544f6205ec362b593092 into their codebase to patch the exploit.

References

Affected packages

npm / nodebb

Package

Affected ranges

Type
SEMVER
Events
Introduced
2.5.0
Fixed
2.8.7